Skip to main content
POST
/
autopay_configs
Create autopay configuration
curl --request POST \
  --url https://api.synctera.com/v1/autopay_configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "config": {
    "failure_policy": "NO_RETRY",
    "description_template": "Autopay for account ending in {{.Last4AccountId}}",
    "payment_configs": {},
    "rule_configs": {
      "current_balance": {},
      "minimum_due": {},
      "statement_balance": {}
    }
  },
  "lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "person_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "tenant": "abcdef_ghijkl"
}
'
import requests

url = "https://api.synctera.com/v1/autopay_configs"

payload = {
"config": {
"failure_policy": "NO_RETRY",
"description_template": "Autopay for account ending in {{.Last4AccountId}}",
"payment_configs": {},
"rule_configs": {
"current_balance": {},
"minimum_due": {},
"statement_balance": {}
}
},
"lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"person_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"tenant": "abcdef_ghijkl"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
failure_policy: 'NO_RETRY',
description_template: 'Autopay for account ending in {{.Last4AccountId}}',
payment_configs: {},
rule_configs: {current_balance: {}, minimum_due: {}, statement_balance: {}}
},
lending_account_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
business_id: 'b2c3d4e5-f6a7-8901-bcde-f12345678901',
person_id: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890',
tenant: 'abcdef_ghijkl'
})
};

fetch('https://api.synctera.com/v1/autopay_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "config": {
    "failure_policy": "NO_RETRY",
    "description_template": "Autopay for account ending in {{.Last4AccountId}}",
    "payment_configs": {
      "ach": {
        "external_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
        "is_same_day": true,
        "sec_code": "WEB"
      },
      "internal_transfer": {
        "source_account_id": "8f5b4c62-f5a0-4e68-9669-19dbc7a74d8e",
        "subtype": "autopay_payment"
      }
    },
    "rule_configs": {
      "current_balance": {},
      "days_before_due": {
        "offset_days": 3
      },
      "fixed_amount": {
        "amount": 10000
      },
      "minimum_due": {},
      "statement_balance": {}
    }
  },
  "creation_time": "2024-01-15T10:30:00Z",
  "id": "2d0f7601-ecc6-48b4-b82f-5d64fa84628b",
  "last_updated_time": "2024-01-15T10:30:00Z",
  "lending_account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "tenant": "abcdef_ghijkl",
  "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "person_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}
{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Autopay configuration to create

Request to create an autopay configuration. Exactly one of person_id or business_id must be provided to identify the customer who owns this autopay. The customer must have an owner relationship (PRIMARY_ACCOUNT_HOLDER, ACCOUNT_HOLDER, or JOINT_ACCOUNT_HOLDER) with both the lending account and any internal payment source accounts.

config
object
required

Autopay configuration settings. When autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY. When autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.

lending_account_id
string<uuid>
required

The lending account ID to configure autopay for

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

business_id
string<uuid>

The business ID that owns this autopay configuration. Mutually exclusive with person_id - exactly one must be provided.

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

person_id
string<uuid>

The person ID who owns this autopay configuration. Mutually exclusive with business_id - exactly one must be provided.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

Response

Autopay configuration created successfully

Autopay configuration for a lending account

config
object
required

Autopay configuration settings. When autopay_type is SCHEDULED, amount_rule must be CURRENT_BALANCE and timing_rule must be DAILY. When autopay_type is STATEMENT, timing_rule must be ON_DUE_DATE or DAYS_BEFORE_DUE.

creation_time
string<date-time>
required

Timestamp when the configuration was created

Example:

"2024-01-15T10:30:00Z"

id
string<uuid>
required

Unique identifier for the autopay configuration

Example:

"2d0f7601-ecc6-48b4-b82f-5d64fa84628b"

last_updated_time
string<date-time>
required

Timestamp when the configuration was last updated

Example:

"2024-01-15T10:30:00Z"

lending_account_id
string<uuid>
required

The lending account ID this configuration belongs to

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

status
enum<string>
required

Status of the autopay configuration

Available options:
ACTIVE,
DISABLED,
PAUSED
tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

business_id
string<uuid>

The business ID that owns this autopay configuration (mutually exclusive with person_id)

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

person_id
string<uuid>

The person ID who owns this autopay configuration (mutually exclusive with business_id)

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"